@echo off
rem ============================================================================
rem Batch script for FreeBASIC compilation
rem ============================================================================

rem Using the mouse, drag your BAS file and drop it on this batch script.

rem fblogo.ico and fblogo.rc are assumed to be in the compiler directory.
rem fblogo.rc contains this : FB_PROGRAM_ICON ICON "fblogo.ico"

rem If the script was executed without parameter...
if "%1"=="" goto help

rem Source path
rem set sp=C:\Atelier\Basic\Hallo\
set sp=%~dp1
rem echo %sp%

rem Compiler path
set cp=C:\FreeBASIC\
rem echo %cp%

rem Source name
rem set sn=hallo.bas
set sn=%~nx1
rem echo %sn%

rem Resource script name
set rn=fblogo.rc
rem echo %rn%

rem Log file name
set ln=log.txt
rem echo %ln%

rem Compilation option
set op=-s gui
rem echo %op%
rem pause

cd %cp%
fbc %op% %sp%%sn% %rn% > %sp%%ln%

goto EOF

:help
echo.
echo Please drag the file to be compiled and drop it on the batch script.
echo.
pause

